var w_newWidth=250;
var w_newHeight=250;

function getWidth() {
  if (Component.indexOf("Microsoft") != -1)
  {
   w_newWidth=document.body.clientWidth;
   return (w_newWidth);
  }
  else if (Component.indexOf("Netscape") != -1)
  {
    w_newWidth=window.innerWidth + 4;
    return w_newWidth;
  }
  else {
   return w_newWidth;
  }

}

function getHeight() {
  if (Component.indexOf("Microsoft") != -1)
  {
   w_newHeight=document.body.clientHeight;
   return (w_newHeight);
  }
  else if (Component.indexOf("Netscape") != -1)
  {
    w_newHeight=window.innerHeight + 4;
    return w_newHeight;
  }
  else {
   return w_newHeight;
  }
}

//************************* TreeApplet Functions ************************
// general functions
var lastModelPage = "";
var counter=0;

function getLink(href) {
  if(href.length > 0) {
    var linkArr = href.split(hrefSplitter);
    var l = linkArr[linkArr.length-1];
    return l;
  } else {
    return "";
  }
}


/****************** VERSION 1 - highLighting by page name **************/
// set the tree menu by passing the page name
function setTreeMenu()
{
  if (self == top)
  {
    return;
  }

  top.highLight(document.location.pathname);
}

function highLight(link)
{
  if(link.length > 0)
  {
    var l = getLink(link);

    if(lastModelPage.indexOf(l)!=0 && counter)
    {
      if(typeof top.frames["menu"].document.TreeView != "undefined") {
        top.frames["menu"].document.TreeView.hlTreeItemByLink(unescape(l));
        lastModelPage = l;
      }
    }
    counter=1;
  }
}


/** VERSION 2 - highLighting by page name (no query string evaluation) ****/
// set the tree menu by passing the page name - the query string of the url
// will not be evaluated within the applet
function setTreeMenuByLink(link)
{
  if (self == top)
  {
    return;
  }

  top.highLightByLink(link, true);
}

function highLightByLink(link, noquerystring)
{
  if(link.length > 0)
  {
    var l = getLink(link);

    if(lastModelPage.indexOf(l)!=0 && counter)
    {
      if(typeof top.frames["menu"].document.TreeView != "undefined") {
        top.frames["menu"].document.TreeView.hlTreeItemByLink(unescape(l), noquerystring);
        lastModelPage = l;
      }
    }
    counter=1;
  }
}


/****************** VERSION 3 - highLighting by page name **************/
// set the tree menu by passing the node display name (e.g. a model name)
/* 2003-02-12: the name can be passed in two ways:
        - as displayed in the tree (e.g. "GP Auskunft einholen 1.0")
        - with the icon ID       (e.g. "3|GP Auskunft einholen 1.0")
*/
function setTreeMenuByName(name)
{
  if (self == top)
  {
    return;
  }

  top.highLightByName(name);
}

function highLightByName(name)
{
  if(name.length > 0)
  {
    var l = getLink(name);

    if(lastModelPage.indexOf(l)!=0 && counter)
    {
      if(typeof top.frames["menu"].document.TreeView != "undefined") {
        top.frames["menu"].document.TreeView.hlTreeItemByName(name);
        lastModelPage = l;
      }
    }
    counter=1;
  }
}

//************************ Resize Functions **********************************
function resizeAppletFrame()
{
  if(document.TreeView){
    var w = getWidth();
    var h = getHeight();
    document.TreeView.setAppletSize(w, h)
  }
}

//************************* Functions called by Applet ***********************
// function without parameters
function noParam() {
  alert("function noParam called");
}

// function with 1 parameter
function testAlert(msg) {
  alert("function testAlert(" + msg + ") called");
}

function openModel(link) {
  window.open(link, "model");
}

// function with more parameters
function loadInstPage(ins_lnk, width, height, resizable)
{
  if (ins_lnk != "")
  {
    popupWindow = open(ins_lnk, "popup", "width=" + width + ", height=" + height + ", menubar=no, resizable=" + resizable + ", scrollbars=yes");
    popupWindow.focus();
  }
}


//************************* Browser Version Functions ************************

languagesq = new Object;
languagesq["un"] = "(Unknown language)";
languagesq["cn"] = "(Chinese (simp.) language)";
languagesq["cs"] = "(Czech language)";
languagesq["da"] = "(Danish language)";
languagesq["de"] = "(Deutsch)";
languagesq["el"] = "(Greek language)";
languagesq["en"] = "(English language)";
languagesq["es"] = "(Spanish language)";
languagesq["fc"] = "(French (Canada) language)";
languagesq["fi"] = "(Finnish language)";
languagesq["fr"] = "(French language)";
languagesq["hu"] = "(Hungarian language)";
languagesq["it"] = "(Italian language)";
languagesq["ja"] = "(Japanese language)";
languagesq["ko"] = "(Korean language)";
languagesq["nl"] = "(Dutch language)";
languagesq["no"] = "(Norwegian language)";
languagesq["pl"] = "(Polish language)";
languagesq["pt"] = "(Brazilian Portuguese language)";
languagesq["ru"] = "(Russian language)";
languagesq["sv"] = "(Swedish language)";
languagesq["tr"] = "(Turkish language)";
languagesq["tw"] = "(Chinese (trad.) language)";
languagesq["uk"] = "(English (UK) language)";
languagesq["de-de"] = "(Deutsch)"
languagesq["en-gb"] = "(English (UK) language)";
languagesq["en-us"] = "(English language)";
languagesq["es-es"] = "(Spanish language)";
languagesq["fr-fr"] = "(French language)";
languagesq["ja-jp"] = "(Japanese language)";

lang = "un";
Component = "Unknown browser";
platform = "Unknown platform";
OS = "";
version = parseFloat(navigator.appVersion);
UA = navigator.userAgent;
ua = navigator.userAgent.toLowerCase();
hrefSplitter = "/";

// Language
if (((start = ua.indexOf("[")) > 0) &&
    ((end = ua.indexOf("]")) == (ua.indexOf("[") + 3))){
  language = ua.substring(start+1, end);
} else if (navigator.language) {
  language = navigator.language.toLowerCase();
} else if (navigator.userLanguage) {
  language = navigator.userLanguage.toLowerCase();
}
if (languagesq[language]) {
  lang = language;
}

// OS
if (((ua.indexOf("ppc") > 0) && (ua.indexOf("mac") > 0))
    || (ua.indexOf("mac_power") > 0)) {
//  if (ua.indexOf("os x")) {
//    OS = "macosx";
//  } else {
    OS = "macppc";
//  }
} else if ((ua.indexOf("linux 2.2") > 0)
     || (ua.indexOf("netscape6") && ua.indexOf("linux") > 0)) {
  OS = "linux2.2";
} else if (ua.indexOf("win") > 0) {
  OS = "win32";
}

// Other info
start = UA.indexOf('(') + 1;
end = UA.indexOf(')');
str = UA.substring(start, end);
info = str.split('; ');

if (ua.indexOf('msie') != -1) {
  platform = info[2];
  Component = navigator.appName;
  str = info[1].substring(5, info[1].length);
  version = parseFloat(str);
  hrefSplitter = "\\";
} else if ((start = ua.indexOf("netscape6")) > 0) {
  if (info[0].toLowerCase() == "windows") {
    platform = info[2];
  } else {
    platform = info[0] + " " + info[2];
  }
  Component = "Netscape";
  version = ua.substring(start+10, ua.length);
  if ((start = version.indexOf("b")) > 0 ) {
    pr = version.substring(start+1,version.length);
    str = version.substring(0,version.indexOf("b"));
    version = str + " Preview Release " + pr;
  }

} else if ((start = ua.indexOf("netscape/7")) > 0) {
  if (info[0].toLowerCase() == "windows") {
    platform = info[2];
  } else {
    platform = info[0] + " " + info[2];
  }
  Component = "Netscape";
  version = ua.substring(start+9, ua.length);
  if ((start = version.indexOf("b")) > 0 ) {
    pr = version.substring(start+1,version.length);
    str = version.substring(0,version.indexOf("b"));
    version = str + " Preview Release " + pr;
    is_latest_beta = true;
  }

} else {
  if(info[2]) {
    if (info[0].toLowerCase() == "windows") {
      platform = info[2];
    } else {
      platform = info[0] + " " + info[2];
    }
  } else {
    platform = info[0];
  }
  if (ua.indexOf("gecko") > 0) {
    Component = "Mozilla";
  } else if (ua.indexOf("nav") > 0) {
    Component = "Netscape Navigator";
  } else {
    Component = "Netscape Communicator";
  }
}
// Some formatting
if ((platform.indexOf("NT") != -1) && (platform.indexOf("5.1") != -1)) {
  platform = "Windows XP";
}
if (parseInt(version) == parseFloat(version)) {
  version = version + ".0";
}

function returnCurrentBrowser() {
  return Component + " " + version + " " + languagesq[lang];
}

function returnCurrentOS() {
  return platform;
}
