var instID = new Array();
var instIDAddr = new Array();

var instName = new Array();
var instNameAddr = new Array();

var modelName = new Array();
var modelNameAddr = new Array();


//
// Convert a unicode to hex ascii
//
function utf8ToHex (source)
{
  source = source.replace(/&#32;/g,  "%20");
  source = source.replace(/&#34;/g,  "%22");
  source = source.replace(/&#37;/g,  "%25");
  source = source.replace(/&#39;/g,  "%27");
  source = source.replace(/&#44;/g,  "%2C");
  source = source.replace(/&#46;/g,  "%2E");
  source = source.replace(/&#92;/g,  "%5C");
  source = source.replace(/&#8364;/g,"%80");

  return source;
}

//
// Searches HTML-Page for a given instance ID
//
function findID(pattern)
{
  pattern = utf8ToHex(pattern);

  for(i = 0; i < instID.length; i++)
  {
    if(escape(unescape(instID[i])) == escape(unescape(pattern)))
    {
      return ("<A HREF=\"" + instIDAddr[i] + "\" target=\"instance\">");
    }
  }

  alert ("[Link-01]\nDie Information zum gesuchten Objekt '" + unescape(pattern) + "' wurde nicht gefunden!\nDieses Problem kann u.a. durch das Umbenennen von referenzierten Objekten entstehen. Falls Sie referenzierte Objekte umbenannt haben, sollten Sie den gesamten Modellbestand neu generieren.");
  return "";
}


//
// Searches HTML-Page for a given instance ID
//
function findInstance(pattern)
{
  pattern = utf8ToHex(pattern);

  for(i = 0; i < instName.length; i++)
  {
    if(escape(unescape(instName[i])) == escape(unescape(pattern)))
    {
      return ("<A HREF=\"" + instNameAddr[i] + "\" target=\"instance\">");
    }
  }

  alert ("[Link-02]\nDie Information zum gesuchten Objekt '" + unescape(pattern) + "' wurde nicht gefunden!\nDieses Problem kann u.a. durch das Umbenennen von referenzierten Objekten entstehen. Falls Sie referenzierte Objekte umbenannt haben, sollten Sie den gesamten Modellbestand neu generieren.");
  return "";
}


//
// Searches HTML-Page for a given instance ID
//
function findModel(pattern)
{
  pattern = utf8ToHex(pattern);

  for(i = 0; i < modelName.length; i++)
  {
    if(escape(unescape(modelName[i])) == escape(unescape(pattern)))
    {
      return ("<A HREF=\"" + modelNameAddr[i] + "\" target=\"model\">");
    }
  }

  alert ("[Link-03]\nDie Information zum gesuchten Objekt '" + unescape(pattern) + "' wurde nicht gefunden!\nDieses Problem kann u.a. durch das Umbenennen von referenzierten Objekten entstehen. Falls Sie referenzierte Objekte umbenannt haben, sollten Sie den gesamten Modellbestand neu generieren.");
  return "";
}


//
// Searches HTML-Page for a given instance ID
//
function findParallelLoadModel(pattern)
{
  pattern = utf8ToHex(pattern);

  for(i = 0; i < modelName.length; i++)
  {
    if(escape(unescape(modelName[i])) == escape(unescape(pattern)))
    {
      return ("'<A HREF=\"" + modelNameAddr[i] + "\">bla</A>'");
    }
  }

  alert ("[Link-04]\nDie Information zum gesuchten Objekt '" + unescape(pattern) + "' wurde nicht gefunden!\nDieses Problem kann u.a. durch das Umbenennen von referenzierten Objekten entstehen. Falls Sie referenzierte Objekte umbenannt haben, sollten Sie den gesamten Modellbestand neu generieren.");
  return "";
}


//
// extracts out of an string the 'href=...' anker.
//
function getUrl(s)
{
  begin = s.indexOf('HREF=');

  if (begin == -1)
  {
    return "";
  }
  else
  {
    end = s.indexOf('"', begin + 6);

    if (s.indexOf('$$$instance$$$') == -1)
    {
      return s.substring(begin, end + 1);
    }
    else
    {
      return s.substring(begin, end + 1) + ' target=instance';
    }
  }
}

//////////////////////////////////////////////////////////////////
// tree highlighting
//////////////////////////////////////////////////////////////////
// -> frame level
//////////////////////////////////////////////////////////////////
function setCustTreeMenuByLink()
{
  var fileURI = document.location.pathname;
  var nBegin  = fileURI.lastIndexOf("\\") + 1;

  if (nBegin < 0)
  {
    nBegin  = fileURI.lastIndexOf("/") + 1;
  }

  if (nBegin < 0)
  {
    return
  }

  fileURI = fileURI.substring(nBegin, fileURI.length);

  if (self == top)
  {
    opener.top.highLightByLink(fileURI, true);
  }
  top.highLightByLink(fileURI, true);
}


//////////////////////////////////////////////////////////////////
// tree highlighting
//////////////////////////////////////////////////////////////////
// -> window level
//////////////////////////////////////////////////////////////////
function setCustTreeMenuByName(name)
{
  if (self == top)
  {
    opener.top.highLightByName(name);
  }
  top.highLightByName(name);
}

